#include<stdio.h>

int main()
{
        int i, j, m, n, a, b, res[1000], temp;
        scanf("%d%d",&a,&b);
        res[0]=1;
        res[b-1]=a;
        n=b-2;
        m=a-2;
        temp=m/b;
        if(m%n==0)
         for(i=1;i<b-1;i++)
          res[i]=res[i-1]+temp+1;
        for(i=0;i<b;i++) printf("%d ", res[i]);
        printf("\n");
        return 0;
}
